Create Project Work Order

Create a new work order in a project. Notes: - `templateId` is required. - `phaseInstanceId` is optional; if provided the referenced phase must be started (active) for creation to succeed.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

project_idintegerRequired
Project identifier

Request

This endpoint expects an object.
templateIdintegerRequired
Template to use for the work order
phaseInstanceIdintegerOptional

Optional. Phase instance id where the work order will be created (phase must be started). You can gather phase instance ids from the get project endpoint.

Response

Work order created successfully
idintegerOptional

Created workflow element (task) identifier

createdAtstringOptionalformat: "date-time"
updatedAtstringOptionalformat: "date-time"
descriptionstring or nullOptional
positionintegerOptional
Position within phase
phaseInstanceIdintegerOptional
projectIdintegerOptional
createdByIdintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error